
Name:           report
Version:        0.4
Release:        3%{?dist}
Summary:        Incident reporting library

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://fedorahosted.org/report
Source0:        http://fedorahosted.org/released/report/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Provides: python-report = %{version}-%{release} 

BuildArch: noarch
BuildRequires: python-devel

%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

%description
A generic problem/bug/incident/error reporting library, that can be 
configured to deliver a report to a variety of different ticketing 
systems.

%package gtk
Summary:        GTK IO for reporting library
Group:          System Environment/Base

Requires: pygtk2
Requires: report = %{version}-%{release}

%description gtk
Provides GTK IO dialogs for the reporting library

%package plugin-bugzilla
Summary:        Plugin reporter to bugzilla.redhat.com
Group:          System Environment/Base

Requires: report = %{version}-%{release}
Requires: python-bugzilla
Requires: rpm-python

%description plugin-bugzilla
Plugin reporter to bugzilla.redhat.com




%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT




%files
%defattr(-,root,root,-)
%doc README LICENCE
%dir %{python_sitelib}/report
%{python_sitelib}/report/__init__.py*
%{python_sitelib}/report/accountmanager.py*
%dir %{python_sitelib}/report/io
%{python_sitelib}/report/io/__init__.py*
%{python_sitelib}/report/io/TextIO.py*
%dir %{python_sitelib}/report/alternatives
%{python_sitelib}/report/alternatives/__init__.py*
%{python_sitelib}/report/alternatives/scp.py*
%{python_sitelib}/report/alternatives/localsave.py*

%files gtk
%defattr(-,root,root,-)
%{python_sitelib}/report/io/GTKIO.py*

%files plugin-bugzilla
%defattr(-,root,root,-)
%{python_sitelib}/report/alternatives/redhat_bugzilla




%changelog
* Thu Dec 17 2009 Gavin Romig-Koch <gavin@redhat.com> 0.4-3
- More cleanups/corrections from Fedora review:
  - added provides for python-report
  - reorg'd sub-package specfile sections to be more std
  - correct sub-package use of Build* and Requires:
  - include LICENCE text in both dist tarball and rpms.
  - other minor cleanups

* Tue Dec 08 2009 Gavin Romig-Koch <gavin@redhat.com> 0.4-2
- Cleanups/Corrections from Fedora review:
  - Added GPL2 Licencing file and headers
  - removed unnecessary catcut plugin
  - correct Source0: and Group: headers
  - other misc. spec file problems

* Tue Dec 01 2009 Gavin Romig-Koch <gavin@redhat.com> 0.4-1
- Split out the GTK IO into its own rpm
- Split out the bugzilla and catcut plugins into their own rpms

* Mon Nov 23 2009 Gavin Romig-Koch <gavin@redhat.com> 0.3-1
- Convert to using Autotools

* Wed Nov 18 2009 Gavin Romig-Koch <gavin@redhat.com> 0.2-1
- significant changes

* Wed Oct 28 2009 Gavin Romig-Koch <gavin@redhat.com> 0.1-1
- initial version

